- Qt 6.7
- Qt 3D
- C++ Classes
- Qt3DCore
- QBackendNodeMapper
- Qt 6.7.3 Reference Documentation

# QBackendNodeMapper Class

class Qt3DCore::QBackendNodeMapper

Creates and maps backend nodes to their respective frontend nodes. More...

Header: | #include <Qt3DCore/QBackendNodeMapper>
CMake: | find_package(Qt6 REQUIRED COMPONENTS 3DCore) target_link_libraries(mytarget PRIVATE Qt6::3DCore)
qmake: | QT += 3dcore

- List of all members, including inherited members

## Public Functions

virtual Qt3DCore::QBackendNode * | create(Qt3DCore::QNodeId id) const = 0
virtual void | destroy(Qt3DCore::QNodeId id) const = 0
virtual Qt3DCore::QBackendNode * | get(Qt3DCore::QNodeId id) const = 0

## Detailed Description

## Member Function Documentation

### `[pure virtual]` Qt3DCore::QBackendNode *QBackendNodeMapper::create(Qt3DCore::QNodeId id) const

id

Returns created node.

### `[pure virtual]` void QBackendNodeMapper::destroy(Qt3DCore::QNodeId id) const

Destroys the backend node for the given node id.

### `[pure virtual]` Qt3DCore::QBackendNode *QBackendNodeMapper::get(Qt3DCore::QNodeId id) const

Returns backend node for the given node id.